<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Plugin enrol_ibobenrol.
 *
 * @package     enrol_ibobenrol
 * @copyright  2024, frederic.grebot <frederic.grebot@agrosupdijon.fr>, L'Institut Agro Dijon, DSI, CNERTA-WEB
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();
$functions = [
        'enrol_ibobenrol_filter_badge_function' => [
                'classname' => 'enrol_ibobenrol_external',
                'methodname' => 'filter_badge_function',
                'classpath' => 'enrol/ibobenrol/externallib.php',
                'description' => 'Filter badges list',
                'type' => 'read',
                'ajax' => true,
                'loginrequired' => false,
                'capabilities' => '',
        ],
];
$services = [
    'ibobenrolwebservice' => [
        'functions' => ['enrol_ibobenrol_filter_badge_function'],
        'requiredcapability' => '',
        'restrictedusers' => 0,
        'enabled' => 1,
        'shortname' => 'myibobenrolwebservice',
    ],
];
